# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit multilib
EAPI=3
#  o1113enx_l_ufr220.zip
DESCRIPTION="Canon common files for the CUPS driver for Linux"
HOMEPAGE="http://de.software.canon-europe.com/software/0040355.asp"
SRC_URI="http://files.canon-europe.com/files/soft40355/software/o1113enx_l_ufr220.zip"
LICENSE="CANON"
RESTRICT="mirror"
SLOT="0"

KEYWORDS="~amd64"
IUSE=""

dir=/usr/$(get_libdir)
CNGPLP=""

DEPEND=">=net-print/cups-1.1.17"
RDEPEND="${DEPEND}"

src_unpack() {
	unpack ${A}
	unpack ./UK/Sources/${PF}-1.tar.gz
	cd ${S}
}

src_configure(){
	if hasuse cngplp; then CNGPLP="cngplp"; fi
	for i in buftool ${CNGPLP}; do
		cd ${i}
		NOCONFIGURE=1 ./autogen.sh
		econf
		cd ..
	done
}

src_compile() {
	for i in buftool c3plmod_ipc ${CNGPLP}; do
		cd ${i}
		emake
		cd ..
	done
}

src_install() {
	for i in buftool ${CNGPLP}; do
		cd ${i}
		make install DESTDIR=${D} || die "make install failed for ${i}"
		cd ..
	done

	OABI=${ABI}
	has_multilib_profile && ABI="x86"
	for i in $(cd libs; ls *.so.?.?.?; cd ..); do
		dolib.so libs/${i}
		dosym ${i} /usr/$(get_libdir)/${i%.?}
		dosym ${i} /usr/$(get_libdir)/${i%.?.?}
		dosym ${i} /usr/$(get_libdir)/${i%.?.?.?}
	done
	for i in $(cd libs; ls *.so.?.?; cd ..); do
		dolib.so libs/${i}
		dosym ${i} /usr/$(get_libdir)/${i%.?}
		dosym ${i} /usr/$(get_libdir)/${i%.?.?}
	done

	dolib.so c3plmod_ipc/libcanonc3pl.so.1.0.0
	dosym  libcanonc3pl.so.1.0.0 /usr/$(get_libdir)/libcanonc3pl.so.1.0
	dosym  libcanonc3pl.so.1.0.0 /usr/$(get_libdir)/libcanonc3pl.so.1
	dosym  libcanonc3pl.so.1.0.0 /usr/$(get_libdir)/libcanonc3pl.so

	dobin libs/c3pldrv

	ABI=${OABI}

	insinto /usr/share/caepcm
	doins data/*


	dodoc LICENSE-common-*.txt README
	for i in buftool c3plmod_ipc ${CNGPLP}; do
		docinto ${i}
		dodoc ${i}/NEWS ${i}/README ${i}/AUTHORS ${i}/ChangeLog
	done
	docinto buftool
	dodoc buftool/LICENSE.txt
}
